package org.insa.graphs.algorithm.shortestpath;


import org.insa.graphs.algorithm.AbstractInputData;
//import org.insa.graphs.model.Arc;
import org.insa.graphs.model.Node;
//import org.insa.graphs.model.Point;

public class LabelStar extends Label{

    /* ATTRIBUT */

    private double estimationCostDest ;


    /* CONSTRUCTEUR */

    public LabelStar(Node sommetCourant, Node Dest, AbstractInputData.Mode leMode) {
        super(sommetCourant) ;
        if (leMode == AbstractInputData.Mode.LENGTH) {
            this.estimationCostDest = sommetCourant.getPoint().distanceTo(Dest.getPoint());
        } else {
            this.estimationCostDest = sommetCourant.getPoint().distanceTo(Dest.getPoint()) / Dest.getSuccessors().get(0).getRoadInformation().getMaximumSpeed();
        }
    }

    /* METHODES */

    public double getEstimation() {
        return this.estimationCostDest ;
    }

    public double getTotalCost() {
        return this.getCoutRealise() + this.estimationCostDest ;
    }


}